//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "about.h"
#include "lang.h"
#include "clipform.h"
#include "winutil.h"
//---------------------------------------------------------------------
#pragma resource "*.dfm"
TAboutBox *AboutBox;
//---------------------------------------------------------------------
__fastcall TAboutBox::TAboutBox(TComponent* AOwner)
	: TForm(AOwner)
{
   ProductName->Caption=VersionInfo("ProductName");
   Version->Caption="Version: " + VersionInfo("ProductVersion");
   ImageHovgaard->Visible=true;
   ImageHK1->Visible=false;                   
   ImageHK2->Visible=false;
   LangNotifier.AddLangNotify(this);
   LangChange();
}

void TAboutBox::LangChange()
{
   OKButton->Caption=LangText(TE_OK);
   Caption=LangText(TE_About);
}
//---------------------------------------------------------------------



void __fastcall TAboutBox::ImageHovgaardClick(TObject *Sender)
{
  POINT pt;
  GetCursorPos( &pt );


  pt = ImageHovgaard->ScreenToClient( pt );
  if  ((pt.x>=135) && (pt.x<=139)
    && (pt.y>=80) && (pt.y<=84))
  {
    ClipForm1->ChangeIcons();
    ImageHovgaard->Visible=false;
    ImageHK1->Visible=true;
    ImageHK2->Visible=false;
  }
}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::ImageHK1Click(TObject *Sender)
{
  POINT pt;
  GetCursorPos( &pt );
  pt = ImageHK1->ScreenToClient( pt );
  if ((pt.x>=75) && (pt.x<=76)
    && (pt.y>=135) && (pt.y<=136))
  {
    ImageHovgaard->Visible=false;
    ImageHK1->Visible=false;
    ImageHK2->Visible=true;
  }

}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::URLLabelClick(TObject *Sender)
{
  ShellExecute(NULL,"open", URLLabel->Caption.c_str(),NULL,NULL,SW_RESTORE );
}
//---------------------------------------------------------------------------

